%define name    kscope
%define version 1.4.1
%define release %mkrel 1
%define Summary KDE frontend to Cscope

%define section Applications/Development/Tools
%define title Kscope

# Work around for different libtool use in kde 
%define __libtoolize true

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release

License: 	BSD
Group: 		Development/Other
Source: 	http://ovh.dl.sourceforge.net/sourceforge/kscope/%name-%version.tar.bz2
Url: 		http://sourceforge.net/projects/kscope.
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdebase-devel libkdebase-kate-devel
BuildRequires:  libgraphviz-devel

Requires:	cscope ctags

%description
KScope is a source-editing environment for KDE based on Cscope.

%prep
%setup -q

%build
%configure
make clean
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "%{section}" $RPM_BUILD_ROOT%{_datadir}/applnk/Development/kscope.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}


#mdk icons
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%{_menudir}/%{name}

%dir %{_datadir}/apps/kscope/
%{_datadir}/apps/kscope/kscopeui.rc
%{_datadir}/apps/kscope/pics/*.png
%{_datadir}/applnk/Development/kscope.desktop
%{_datadir}/icons/*/*/apps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%doc %_docdir/HTML/*/%{name}/*
%_datadir/apps/kscope/kscope_config

%changelog
* Mon Aug 28 2006 Laurent MONTEL <lmontel@mandriva.com> 1.4.2-1
- 1.4.2

* Sat May 20 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.4-1
- 1.3.4

* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 1.3.3-2mdk
- fix x86_64 build

* Fri Jan 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3-1mdk
- 1.3.3
	- License changed to BSD due to incompatibility between 
		the GPL and the CPL (graphviz)
	- New: Multiple-view call graph/tree dialogue
	- mproved: Function name is displayed first 
		(consistent behaviour for query
		views and call tree widgets)
	- Improved: Updated to the latest KDE 'configure' template
- Fix source url

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.0-3mdk
- Fix Buildrequires

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.0-2mdk
- Fix Buildrequires
- use mkrel

* Thu May 26 2005 Laurent MONTEL <lmontel@mandriva.com> 1.2.0-1mdk
- 1.2.0

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.1-2mdk
- Fix on x86_64

* Fri Mar 18 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Wed Feb 02 2005 Nick Brown <nickbrown@mandrake.org> 1.1.0-1mdk
- 1.1.0

* Tue Dec 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Wed Nov 10 2004 Nick Brown <nickbrown@mandrake.org> 0.9-1mdk
- 0.9

* Fri Aug 27 2004 Nick Brown <nickbrown@mandrake.org> 0.8-2mdk
- Rebuild for new menu

* Tue Aug 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- 0.8

* Fri Jun 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Thu Apr 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Mar 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- url

* Tue Jan 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- 0.5

* Tue Nov 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk 
- from Nick Brown <nickbroon@blueyonder.co.uk> :
	- First Mandrake package release
